Pivotal Knowledge Base


Questions on Installing and Running OSS packages for RHEL5 on RHEL6


  • Pivotal Greenplum (GPDB) 4.3.x
  • OS RHEL 5.x RHEL 6.x
  • Others Third Party OSS Packages


Sometimes users want to install OSS (Open Source Software) packages designed for use with Greenplum Database. However, all of these software package (.gppkg) names have OS string of 'rhel5' while most of the customers are actually using RHEL6 for their GPDB platform. This situation causes confusion over whether these all packages with 'rhel5' string in the name can be used with RHEL6.

Few example OSS packages downloadable from Pivotal Networks:

- madlib-ossv1.9_pv1.9.5_gpdb4.3orca-rhel5-x86_64 
- pljava-ossv1.4.0_pv1.2_gpdb4.3orca-rhel5-x86_64
- plr-ossv8.3.0.15_pv2.1_gpdb4.3orca-rhel5-x86_64


It is OK to use the packages with 'rhel5' in the name - they run fine on rhel6 (they are binary compatible).

From https://access.redhat.com/solutions/5154
"Red Hat Enterprise Linux 6 provides runtime compatibility support for applications built for Red Hat Enterprise Linux 5"

For this reason, there will be no OSS package with 'rhel6' string in the name.

The OSS packages with 'rhel5' can be used for both RHEL5 & RHEL6.


Internal Comments 

Jira to follow up: MPP-26335


Powered by Zendesk